# mkdoclingo

**mkdoclingo** is an automated documentation tool tailored for **Answer Set
Programming (ASP)** code. Built on [MkDocs](https://www.mkdocs.org/) and
[mkdocs-material](https://squidfunk.github.io/mkdocs-material/), it streamlines
the creation of high-quality documentation with the following features:

- **Render encodings**: Automatically format ASP encodings with comments
  written in Markdown.
- **Predicate analysis**: Collect and document predicates used across included
  files.
- **Navigation-friendly documentation**: Generate organized predicate
  documentation with intuitive navigation.
- **Input/output identification**: Detect and highlight input and output
  predicates.
- **Dependency graphs**: Visualize dependencies between predicates and files.

For installation instructions and detailed usage, visit our
[official documentation](https://potassco.org/mkdoclingo/).
