---
icon: "material/table"
---


Generates a summary of the predicates used in all the included encodings.


The definition is taken from the [predicate documentation](#predicate-documentation) ,
and the type indicates the following:


| Title                  | Icon                                                                 |
|------------------------|----------------------------------------------------------------------|
| Input (Not defined by any rule)                  | <span style="color:#9178C6; padding-top: 0; padding-bottom: 0;" title="Input" class="twemoji">:material-arrow-right-bold:</span> |
| Shown Explicitly (using `predicate/arity`)      | <span style="color:#52BF54; padding-top: 0; padding-bottom: 0;" title="Shown Explicitly" class="twemoji">:material-eye:</span> |
| Shown Partially (using a conditional statement)       | <span style="color:#52BF54; padding-top: 0; padding-bottom: 0;" title="Shown Partially" class="twemoji">:material-eye-plus:</span> |
| Hidden                 | <span style="color:#88888850; padding-top: 0; padding-bottom: 0;" title="Hidden" class="twemoji">:material-eye-off:</span> |


!!! example


    === ":material-palette-outline: Output"

        ::: examples/sudoku/encoding.lp
            handler: asp
            options:
                predicate_table: true
                start_level: 3

    === ":material-code-block-tags: Usage"

        ```
        ::: examples/sudoku/encoding.lp
            handler: asp
            options:
                predicate_table: true
                start_level: 3
        ```



## Configuration options

The option `predicate_table` can be further customized with the following options:

- `include_undocumented` Boolean indicating if predicates that have no docstring should be included. Defaults to True.
- `include_hidden` Boolean indicating if predicates that are not shown nor input should be included. Defaults to True.


!!! example



    === ":material-palette-outline: Output"

        ::: examples/sudoku/encoding.lp
            handler: asp
            options:
                predicate_table:
                    include_hidden: false
                start_level: 3

    === ":material-code-block-tags: Usage"

        ```
        ::: examples/sudoku/encoding.lp
            handler: asp
            options:
                predicate_table:
                    include_hidden: false
                start_level: 3
        ```
<!--
## IDEAS

- The definition could be a summary of the documentation generated by an LLM
 -->
